Package be.fgov.ehealth.certra.protocol.v2

# Class GetCertificateInfoForAuthenticationCertificateResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v2.ResponseType
be.fgov.ehealth.commons.protocol.v2.StatusResponseType
be.fgov.ehealth.certra.protocol.v2.GetCertificateInfoForAuthenticationCertificateResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetCertificateInfoForAuthenticationCertificateResponse extends StatusResponseType implements Serializable
Contains information about the eHealth authentication certificate and encryption token that the user requested in their request.

Java class for GetCertificateInfoForAuthenticationCertificateResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetCertificateInfoForAuthenticationCertificateResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="CertificateInfo" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateInfoType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetCertificateInfoForAuthenticationCertificateResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertificateInfoType`
  `getCertificateInfo()`
  Details about the authentication certificate and its associated encryption token.
  `void`
  `setCertificateInfo(CertificateInfoType value)`
  Sets the value of the certificateInfo property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

  `getStatus, setStatus`

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

  `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetCertificateInfoForAuthenticationCertificateResponse

    public GetCertificateInfoForAuthenticationCertificateResponse()

- ## Method Details

  - ### getCertificateInfo

    public CertificateInfoType getCertificateInfo()
    Details about the authentication certificate and its associated encryption token.
    Returns:
      possible object is `CertificateInfoType`

  - ### setCertificateInfo

    public void setCertificateInfo(CertificateInfoType value)
    Sets the value of the certificateInfo property.
    Parameters:
      `value` - allowed object is `CertificateInfoType`
    See Also:
      - `getCertificateInfo()`